=== debian/changelog ===
kupfer (0+v206+dfsg-1ubuntu1) precise; urgency=low

  * kupfer/dbuscompat.py
    - copied gobject_service.py verbatim from dbus-python version 0.84.0 to 
      kupfer/dbuscompat.py (LP: #921829) 

 -- Vibhav Pant <vibhavp@gmail.com>  Sat, 24 Mar 2012 21:11:51 +0530
