=== debian/control ===
Source: kupfer
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: python (>= 2.6.6-3~), gettext, intltool, gnome-doc-utils, python-docutils
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Homepage: http://kaizer.se/wiki/kupfer/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/kupfer/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/kupfer/trunk/

Package: kupfer
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gobject (>= 2.18), python-gtk2 (>= 2.16), python-xdg, python-dbus, dbus, python-keybinder
Recommends: python-keyring, python-wnck
Suggests: python-cjson, python-gdata, python-qrencode
Description: fast and lightweight desktop summoner/launcher
 Kupfer is a summoner/launcher in the style of Quicksilver or GNOME Do. It
 can search and browse your files, launch desired applications and object you
 need in a quicker way.
 . 
 Kupfer is written in Python and has a flexible architecture based on plugins
 to extend its features.
