=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//')
UPSTREAM = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/^0+//')

%:
	dh $@ --with python2

clean:
	./waf distclean
	rm -fr build
	dh $@ Documentation/*.html
	find waflib -name "*.pyc" -delete

override_dh_auto_configure:
	PYTHONDIR=/usr/share/kupfer ./waf configure --prefix=/usr --nopyc --nopyo \
		--bindir=/usr/share/kupfer --no-runtime-deps --no-install-nautilus-extension

override_dh_auto_install:
	./waf install --destdir=$(CURDIR)/debian/kupfer
	install -m 0755 $(CURDIR)/build/bin/kupfer $(CURDIR)/debian/kupfer/usr/share/kupfer/kupfer-activate.sh
	rm -f $(CURDIR)/debian/kupfer/usr/share/kupfer/kupfer/kupfer
	rm -f $(CURDIR)/debian/kupfer/usr/share/gnome/help/kupfer/*/license.page
	rm -f $(CURDIR)/debian/kupfer/usr/share/kupfer/art/COPYING
	make -C Documentation
	rst2man Documentation/Manpage.rst build/kupfer.1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/kupfer/usr/share/kupfer/kupfer.py

get-orig-source:
	tar fxz ../kupfer_${VERSION}.orig.tar.gz -C ../
	cd ../kupfer-${UPSTREAM} && ./waf --version && \
	mv .waf-*/waflib waflib && sed -i '/^#==>$$/,$$d' waf \
	&& rmdir .waf-* && find waflib -name "*.pyc" -delete
	tar czf ../kupfer_${VERSION}+dfsg.orig.tar.gz ../kupfer-${UPSTREAM}
	rm -fr ../kupfer-${UPSTREAM}
