=== debian/watch ===
version=3
opts=uversionmangle=s/^/0\+/,dversionmangle=s/\+dfsg// \
http://kaizer.se/publicfiles/kupfer/kupfer-(.*)\.tar\.gz
