## kupfer 0+v207

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kupfer
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: python (>= 2.6.6-3~), gettext, intltool, gnome-doc-utils, python-docutils
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 Homepage: http://kaizer.se/wiki/kupfer/
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/kupfer/trunk/
