=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,4 @@
 #!/usr/bin/make -f
-
-VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//')
-UPSTREAM = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/^0+//')
 
 %:
 	dh $@ --with python2
@@ -31,11 +28,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod +x debian/kupfer/usr/share/kupfer/kupfer.py
-
-get-orig-source:
-	tar fxz ../kupfer_${VERSION}.orig.tar.gz -C ../
-	cd ../kupfer-${UPSTREAM} && ./waf --version && \
-	mv .waf-*/waflib waflib && sed -i '/^#==>$$/,$$d' waf \
-	&& rmdir .waf-* && find waflib -name "*.pyc" -delete
-	tar czf ../kupfer_${VERSION}+dfsg.orig.tar.gz ../kupfer-${UPSTREAM}
-	rm -fr ../kupfer-${UPSTREAM}
