=== po/wscript ===
def build(bld):
    bld.new_task_gen(
        features = 'intltool_po',
        appname = bld.env["PACKAGE"])
