=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,10 @@
 
 clean:
 	./waf distclean
-	rm -fr build
-	dh $@ Documentation/*.html
+	rm -fr build .lock-waf* po/.intlcache
+	find Documentation -name "*.html" -delete
 	find waflib -name "*.pyc" -delete
+	dh $@
 
 override_dh_auto_configure:
 	PYTHONDIR=/usr/share/kupfer ./waf configure --prefix=/usr --nopyc --nopyo \
