=== debian/watch ===
version=3
opts=uversionmangle=s/^/0\+/ \
https://github.com/engla/kupfer/tags .*/(v\d[\d\.]+)
